<div id="footer">
    {% include subscribe.html %}
    {% include svg-footer.html %}
    <div class="inner">
        <nav id="footernav">
            <ul>
            {% for item in site.footernav %}
                <li>
                    {% if item.href contains 'http' %}
                        <a href="{{ item.href }}">{{ item.title }}</a>
                    {% else %}
                        <a href="{{ item.href | relative_url }}">{{ item.title }}</a>
                    {% endif %}
                </li>
            {% endfor %}
            </ul>
        </nav>
        <div id="centerFoot">
            <p>If you are an organization seeking digital security assistance, or a provider looking to help, you can contact us via Twitter, email or Signal:</p>

            <p class="twitter">
              <img src="/assets/img/twitter.png" srcset="/assets/img/twitter.png 1x, /assets/img/twitter-2x.png 2x"/>
              <a href="https://twitter.com/the_DSX">@the_DSX</a>
            </p>

            <p>help@dsx.us</p>

            <p>Signal: 413-629-8478</p>

            <p>PGP Fingerprint: EF42 F675 6A07 AEE0 6B83  909B B5B5 1022 FDDB 9513 | <a href="/info_at_key.txt">PGP key</a></p>
            <nav id="finenav">
                <ul>
                {% for item in site.finenav %}
                    <li>
                    {% if item.href contains 'http' %}
                        <a href="{{ item.href }}">{{ item.title }}</a>
                    {% else %}
                        <a href="{{ item.href | relative_url }}">{{ item.title }}</a>
                    {% endif %}
                    </li>
                {% endfor %}
                </ul>
            </nav>
        </div>
        <div id="rightFoot">
            {% include svg-logo.html %}
            <h3>{{ site.tagLine.line1 }} {{site.tagLine.line2 }}</h3>
            <a href='/request-assistance' class='buttonOutlined'>Get Help</a>
            <p>&copy;2018 Digital Security Exchange</p>
        </div>
    </div>
</div>

<style lang="scss" scoped>{% capture to_scss %} @import 'vars';

#footer{
    background: $mist;
    overflow: hidden;
    position: relative;

    #footerSVG{
        position: absolute;
        bottom: 0;
        left: 0;
        width: 50%;
        height: auto;
        @include mq(sm) { display: none; }
    }

    a{
        transition: all .4s;
    }

    .inner{
        padding: 75px;
        position: relative;
        overflow: hidden;
        padding-bottom: 164px;
        @include mq(sm) { padding: 15px; }
    }

    & > .inner{
        @include mq(md) { padding: 35px; }
    }

    #footernav{
        float: left;
        width: 30%;
        @include mq(sm) { display: none; }

        ul{
            li{
                list-style: none;
                padding-bottom: 24px;

                a{
                    @extend .navlink;
                    &:hover{
                        color: $royal;
                        transition: all .4s;
                    }
                }
            }
        }
    }

    #centerFoot{
        float: left;
        width: 33%;
        padding-right: 4%;
        @include mq(smd) { float: left; width: 66%; padding-right: 0; padding-top: 6px; }

        p{
            font-size: 18px;
            padding-bottom: 16px;
            line-height: 150%;
        }

        .twitter {
            position: relative;
            margin-left: 28px;

            img {
                position: absolute;
                top: 6px;
                left: -28px;
                width: 20px;
            }
        }

        #finenav{
            @include mq(sm){ padding-bottom: 24px; }
            @include mq(md){ float: right; }

            ul{
                overflow: hidden;
                padding-top: 24px;

                li{
                    float: left;
                    list-style: none;
                    padding-right: 16px;
                    @include mq(xlg){ padding-right: 8px; }

                    &:not(:first-of-type){
                        padding-left: 16px;
                        @include mq(xlg){ padding-left: 8px; }
                    }

                    &:not(:last-of-type){
                        border-right: .5px solid $black;
                    }

                    a{
                        @extend .navlink;
                        text-transform: unset;
                        font-weight: bold;
                    }
                }
            }
        }
    }

    #rightFoot{
        width: 33%;
        float: left;
        border-top: 1px solid $royal;
        position: relative;
        top: -25px;
        padding-top: 8px;
        padding-bottom: 56px;
        @include mq(sm) { float: none; width: 100%; border-top: 0; clear: both; padding-top: 48px; }
        @include mq(md) { float: none; width: 100%; border-top: 0; clear: both; padding-top: 48px; padding-bottom: 128px; }

        svg{
            width: 28%;
            @include mq(smd) { width: auto; }
        }

        h3{
            font-weight: bold;
            color: $royal;
            font-size: 22px;
        }

        p{
            bottom: 0px;
            position: absolute;
            @include mq(md) { bottom: 72px; }
        }

        .buttonOutlined{
            margin-top: 32px;
        }
    }
}

{% endcapture %}{{ to_scss | scssify }}</style>
